Overview
Returns the status of a request to remove a contact from a journey or from one or more versions of a journey.
JSON Parameters
<!--complex table-->
| Name |
Type |
|
Description |
| ContactKey |
string |
Required |
ID that uniquely identifies a subscriber or contact. Include a single contact or an array of up to 50 contacts. |
| DefinitionKey |
string |
Required |
Customer Key that uniquely identifies the journey. This key is the same for all versions of the journey. |
| Versions |
array |
|
One or more versions of a journey from which to remove a contact. |
Responses
| Status |
Name |
Type |
Description |
| 200 |
|
|
**** |
| |
contactKey |
string |
Contact that needs to be removed from a journey |
| |
definitionKey |
string |
Definition key of the journey |
| |
status |
array |
Array of statuses of the contact in a given journey |
| |
status.version |
string |
Version number of the journey |
| |
status.message |
string |
Status of the request to remove a contact from a specific version of the journey |
| |
status.definitionInstanceId |
string |
Unique Id representing each instance of a contact in a journey |
Usage
Example Request
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /interaction/v1/interactions/contactexit/status
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
[
{
"ContactKey": "CONTACTKEY 1",
"DefinitionKey": "DEFINITIONKEY"
},
{
"ContactKey": "CONTACTKEY 2",
"DefinitionKey": "INVALID DEFINITIONKEY",
"Versions" :[1,2]
}
]
Response: No Errors
HTTP/1.1 200
[
{
"contactKey": "CONTACTKEY 1",
"definitionKey": "DEFINITIONKEY",
"status": [
{
"version": 1,
"message": "Exit process Completed.",
"definitionInstanceId": "a47f5b0b-c673-4662-b043-bbd269f79c1e"
},
{
"version": 1,
"message": "Exit request Ignored - Duplicate Request"
}
]
},
{
"contactKey": "CONTACTKEY 2",
"definitionKey": "DEFINITIONKEY",
"status": [
{
"version": 1,
"message": "Exit request Cancelled - Contact not in this Interaction"
},
{
"version": 2,
"message": "Exit process Completed.",
"definitionInstanceId": "49c1b4f4-a46b-4e73-b31f-08446cac023a"
}
]
}
]
Response: Processing Pending for Contact Request for Exit
HTTP/1.1 200
[
{
"contactKey": "3",
"definitionKey": "DEFINITIONKEY",
"status": [
{
"version": 3,
"message": "Exit request received for processing"
}
]
}
]
Response: Successful Completion of Exit by Contact
HTTP/1.1 200
[
{
"contactKey": "2",
"definitionKey": "DEFINITIONKEY",
"status": [
{
"version": 3,
"message": "Exit process Completed.",
"definitionInstanceId": "a47f5b0b-c673-4662-b043-bbd269f79c11"
}
]
}
]
Response: Invalid contactKey
HTTP/1.1 200
[
{
"contactKey": "<Invalid contactKey>",
"definitionKey": "DEFINITIONKEY",
"status": [
{
"version": 1,
"message": "Exit request Cancelled - Contact not in this Interaction"
}
]
}
]
Response: Runtime Error
HTTP/1.1 400
{
"message": "{{{ERROR_OPEN_SUPPORT_CASE}}}",
"errorcode": 30000,
"documentation": ""
}
Response: Empty or Incorrect Authorization Token
HTTP/1.1 401
{
"documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
"errorcode": 0,
"message": "Not Authorized"
}